from aiohttp import web

from controllers.SnapshotsController import SnapshotsController
from controllers.StoragesController import StoragesController
from controllers.ImagesController import ImagesController


def main():
    app = web.Application()

    ImagesController.add_routes(app)
    StoragesController.add_routes(app)
    SnapshotsController.add_routes(app)

    web.run_app(app)


if __name__ == "__main__":
    main()
